RTWALK(1)

NAME
rtwalk - generate viewpoint animation between two points

SYNOPSIS
rtwalk [ options ... ] startX startY startZ destX destY destZ model.g objects ...

DESCRIPTION
Rtwalk generates a viewpoint animation control script that takes the eye between given start and end points, without walking through any geometry. The model geometry is the list of objects in the input database model.g. The primary output is in the form of an old-format RT viewpoint animation control script (which is also suitable for input to the MGED ``rmat'' command) in the file ``rtwalk.mat''.

-X #
    Set rtwalk debug flags to (hexadecimal) number. A flag value of 1 causes 3-D plot output to be written to stdout. All solid RPPs are plotted as grey boxes, and the walk path is in alternating blue and green segments. A flag value of 2 adds red segments for all attempted steps, as well as the final steps. A flag value of 3 adds some debugging prints to stderr in addition to the plots. This is useful for immediate path review, eg,

        rtwalk -X 1 ... | tiris

-x #
    Set librt debug flags to (hexadecimal) number.

-n # of steps

-v viewsize

The rtwalk program employs librt(3) for the geometry interrogation. This program is currently in fledgling form, and is likely to evolve into an important tool for motion path generation and validation, interference checking in part articulation, and numerically controlled milling.

This program is especially interesting when used on complex scenes like those made by proc-db/clutter.c, eg:

      rtwalk -X1 -- -3470 -3470 650 3470 3470 650 ../proc-db/c.g clut |
      plot-fb -i

SEE ALSO
mged(1), rt(1), pix-fb(1), rtray(1), rtpp(1), librt(3), ray(5V), pix(5).

DIAGNOSTICS
Numerous error conditions are possible. Descriptive messages are printed on standard error.

AUTHOR
Michael John Muuss

SOURCE
SECAD/VLD Computing Consortium, Bldg 394
The U. S. Army Ballistic Research Laboratory
Aberdeen Proving Ground, Maryland 21005

COPYRIGHT
This software is Copyright (c) 1987-2007 United States Government as represented by the U.S. Army Research Laboratory. All rights reserved.

BUGS
Most deficiencies observed while using the rtwalk program are usually with the librt(3) package instead.

BUG REPORTS
Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.